Package org.kapott.hbci.GV_Result

## Class GVRInfoOrder

- java.lang.Object
- - org.kapott.hbci.GV_Result.HBCIJobResultImpl
  - - org.kapott.hbci.GV_Result.GVRInfoOrder

All Implemented Interfaces:
  `java.io.Serializable`, `HBCIJobResult`

    public final class GVRInfoOrder
    extends HBCIJobResultImpl

Wurden mit dem Job "Bestellen von Kreditinstitutsinformationen" auch Freitextinformationen angefordert, so werden diese nicht per Post zugestellt. Statt dessen können diese Informationen mit Hilfe dieser Klasse direkt ausgewertet werden. Es wird eine Liste aller empfangenen Freitextmeldungen gespeichert.

See Also:
  Serialized Form

### Nested Class Summary

Nested Classes
`static class` `GVRInfoOrder.Info` Eine einzelne Freitextmeldung

### Field Summary

### Fields inherited from class org.kapott.hbci.GV_Result.HBCIJobResultImpl

`globStatus, jobStatus`

### Constructor Summary

Constructors
`GVRInfoOrder()`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `addEntry​(GVRInfoOrder.Info info)`
`GVRInfoOrder.Info[]` `getEntries()` Gibt alle Freitextmeldungen zurück, die bei der Abfrage von Kreditinstitutsinformationen gefunden wurden
`java.lang.String` `toString()`

### Methods inherited from class org.kapott.hbci.GV_Result.HBCIJobResultImpl

`getDialogId, getGlobStatus, getJobId, getJobStatus, getMsgNum, getParentJob, getPassport, getResultData, getRetNumber, getRetVal, getSegNum, isOK, setParentJob, storeResult`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### GVRInfoOrder

    public GVRInfoOrder()

### Method Detail

#### addEntry

    public void addEntry​(GVRInfoOrder.Info info)

#### getEntries

    public GVRInfoOrder.Info[] getEntries()

Gibt alle Freitextmeldungen zurück, die bei der Abfrage von Kreditinstitutsinformationen gefunden wurden

Returns:
  Array mit Meldungen

#### toString

    public java.lang.String toString()

Overrides:
  `toString` in class `HBCIJobResultImpl`